Status: Resolved Priority: Should have
Author: Arvid Jakobsson Category:
Updated: 2012-09-16 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Subject: Superfluous brackets in sysext "frontend" after namespaces move
Description

The following syntax appears in various parts of the core:

-                               if (((!$root && !$DBmount) && $elFromTable) && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {
+                               if (!$root && !$DBmount && $elFromTable && $GLOBALS['TCA'][$table]['ctrl']['sortby']) {

Associated revisions
Revision 86349411 - 2012-09-16 14:24 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysext frontend

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I09b90a58a74a219e6957488a7cca7a591c27ff70
Resolves: #40881
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14566
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2012-09-13 00:33 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14566

#2 - 2012-09-16 14:30 - Arvid Jakobsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:8634941165ecff2de81468c4722b5efd584d6f09.
